Skip to main content
POST
/
order-item
/
approve
Approve/reject order items
curl --request POST \
  --url https://api.nuwebgroup.com/v1/order-item/approve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderItems": [
    {
      "orderItemId": 230,
      "approve": true,
      "notifyCustomer": true
    },
    {
      "saleItemId": 222,
      "customerEmail": "customer@example.com",
      "approve": false,
      "notifyCustomer": true
    }
  ]
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Body

application/json
orderItems
object[]

A list of order items and if they should be approved or rejected. When attempting to approve/reject multiple items, if any of them fail, changes to other items will be undone.

Response

Order items successfully approved/rejected

success
boolean